<template>
  <SinglePanel class="ob-spot-list">
    <spotListActualClient v-if="isClient" />
    <spotListCarrier v-if="isCarrier" />
    <template v-else-if="isClicar"><p>Роль CLICAR - экспедитор (Заказчик-исполнитель)</p></template>
  </SinglePanel>
</template>

<script>
import SinglePanel from 'common-components/src/obComponents/obSinglePanels'
import spotListActualClient from '@/pages/spotPage/spotListActualClient'
import spotListCarrier from '@/pages/spotPage/spotListCarrier/index.vue'
import { getTokenData } from '@/tokenData'

export default {
  name: 'spotListActual',
  components: {
    SinglePanel,
    spotListActualClient,
    spotListCarrier
  },
  data () {
    return {
      roleCode: ''
    }
  },
  created () {
    const contractor = getTokenData()
    this.roleCode = contractor.contractor_role_code || ''
  },
  computed: {
    isClient() {
      return this.roleCode === 'client'
    },
    isCarrier() {
      return this.roleCode === 'carrier'
    },
    isClicar() {
      return this.roleCode === 'clicar'
    }
  }
}
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/variables";

.ob-spot-list {
  /deep/ {
    .ob-spot-list__route {
      width: 265px;
      display: flex;
      justify-content: space-between;
      font-size: 14px;

      &-dots {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-grow: 12;
        position: relative;
        margin: 0 8px;
        min-width: 35px;

        &::after {
          position: absolute;
          content: '';
          top: 50%;
          width: 100%;
          height: 1px;
          border-top: 2px $color-blue-heavenly dotted;
        }

        &-count {
          background: $background-white;
          padding: 0 3px;
          height: 16px;
          font-size: 10px;
          line-height: 15px;
          letter-spacing: 1px;
          color: $color-blue-navy-blue;
          border: 1px solid $color-blue-heavenly;
          border-radius: 5px;
          z-index: 1;
        }
      }
    }

    .ob-spot-list__icon {
      font-size: 22px;
      text-align: center;
    }

    .table-data {
      .td-container > div {
        width: 100%;
      }
    }

    .ob-func-panel .icon.-light-raspberry-red::before {
      color: $color-error !important;
    }
  }
}
</style>
